quarkus.jacoco.includes=**/persistence/**/*

# Default DB settings for tests including flyaway
quarkus.datasource.db-kind=h2
quarkus.datasource.jdbc.url=jdbc:h2:mem:db;MODE=MYSQL;NON_KEYWORDS=USER
quarkus.hibernate-orm.datasource=<default>
quarkus.hibernate-orm.packages=org.eclipsefoundation.persistence.test.dto,org.eclipsefoundation.persistence.dto
quarkus.flyway.locations=classpath:database/default
quarkus.flyway.migrate-at-start=true

# disable OIDC stuff since we don't want to test it
quarkus.oauth2.enabled=false
quarkus.oidc.enabled=false
quarkus.keycloak.devservices.enabled=false
quarkus.oidc-client.enabled=false
quarkus.oidc.auth-server-url=/realms/quarkus/
quarkus.oidc.client-id=quarkus-service-app
quarkus.oidc.application-type=service

eclipse.persistence.pagination-limit.default-value=10
eclipse.persistence.pagination-limit.max=20